# Get strategies that use a context field GET https://app.unleash-instance.example.com/api/admin/context/{contextField}/strategies Retrieves a list of all strategies that use the specified context field. If the context field doesn't exist, returns an empty list of strategies Reference: https://docs.getunleash.io/api/get-strategies-by-context-field ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get strategies that use a context field version: endpoint_strategies.getStrategiesByContextField paths: /api/admin/context/{contextField}/strategies: get: operationId: get-strategies-by-context-field summary: Get strategies that use a context field description: >- Retrieves a list of all strategies that use the specified context field. If the context field doesn't exist, returns an empty list of strategies tags: - - subpackage_strategies parameters: - name: contextField in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: contextFieldStrategiesSchema content: application/json: schema: $ref: '#/components/schemas/contextFieldStrategiesSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} components: schemas: ContextFieldStrategiesSchemaStrategiesItems: type: object properties: id: type: string description: The ID of the strategy. featureName: type: string description: The name of the feature that contains this strategy. projectId: type: string description: The ID of the project that contains this feature. environment: type: string description: The ID of the environment where this strategy is in. strategyName: type: string description: The name of the strategy. required: - id - featureName - projectId - environment - strategyName contextFieldStrategiesSchema: type: object properties: strategies: type: array items: $ref: '#/components/schemas/ContextFieldStrategiesSchemaStrategiesItems' description: List of strategies using the context field required: - strategies ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/context/contextField/strategies" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/context/contextField/strategies'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/context/contextField/strategies" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/context/contextField/strategies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/context/contextField/strategies") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/context/contextField/strategies', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/context/contextField/strategies"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/context/contextField/strategies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```